Page MenuHomePhabricator

Cleanup and remove MinervaPrintStyles config variable
Closed, ResolvedPublic

Description

The MinervaPrintStyles feature flag is no longer needed

  • Remove it from the MobileFrontend extension
  • Remove it from mediawiki/config (make sure to do this a week after MobileFrontend removal - after 15th June)

Post sign off

  • Resolve T154964 [EPIC] Improve mobile print styles

Event Timeline

Restricted Application added subscribers: TerraCodes, Aklapper. · View Herald TranscriptMay 26 2017, 6:10 PM

Change 356770 had a related patch set uploaded (by Jdlrobson; owner: Jdlrobson):
[mediawiki/extensions/MobileFrontend@master] WIP: Remove all the deprecated config variables

https://gerrit.wikimedia.org/r/356770

Jdlrobson claimed this task.Jun 6 2017, 3:44 PM
Jdlrobson updated the task description. (Show Details)
Jdlrobson updated the task description. (Show Details)
bmansurov added a subscriber: bmansurov.EditedJun 7 2017, 2:33 PM

Do we have a ticket for the blow criterion? If not, I guess we can move the task to "Blocked" for a week.

Remove it from mediawiki/config (make sure to do this a week after MobileFrontend removal)

The above patch has been +2'ed.

Change 356770 merged by jenkins-bot:
[mediawiki/extensions/MobileFrontend@master] Remove all the deprecated config variables

https://gerrit.wikimedia.org/r/356770

Jdlrobson updated the task description. (Show Details)
Jdlrobson removed a project: MobileFrontend.
Jdlrobson updated the task description. (Show Details)
Jdlrobson moved this task from 2016-17 Q4 to Triaged but Future on the Readers-Web-Backlog board.

Change 359043 had a related patch set uploaded (by Jdlrobson; owner: Jdlrobson):
[operations/mediawiki-config@master] Remove dead config variables

https://gerrit.wikimedia.org/r/359043

Change 359043 merged by jenkins-bot:
[operations/mediawiki-config@master] Remove dead config variable MinervaPrintStyles

https://gerrit.wikimedia.org/r/359043

Mentioned in SAL (#wikimedia-operations) [2017-06-15T23:18:45Z] <ebernhardson@tin> Synchronized wmf-config/InitialiseSettings.php: SWAT: T166408: Remove dead config variable MinervaPrintStyles (duration: 00m 41s)